package statsapi

import (
	"encoding/json"
)

type ScheduleParams struct {
	SportId string
	TeamId  string
}

type Schedule struct {
	TotalGames           json.Number
	TotalGamesInProgress json.Number
	Dates                []date
}

type date struct {
	TotalGames           json.Number
	TotalGamesInProgress json.Number
	Games                []game
}

type game struct {
	GamePk  json.Number
	Content content
}

type content struct {
	Link string
}
